# fedi-frq-friend

just a friend that messages people who send you a follow request

## building

fedi-frq-friend is a typical rust project, therefore:
```bash
$ cargo build
# or to do an optimized build:
$ cargo build --release
```

## usage

to run, this program needs two files present in the working directory: config.kdl and fedi-data.toml.

both of these files are created at first run, which looks like this and uses the console for interactive setup.

```
xenua@secondcoffee ~/projects/fedi-frq-friend (main●)$ cargo run
    Finished dev [unoptimized + debuginfo] target(s) in 0.08s
     Running `target/debug/f3`
created example config.kdl. you probably want to change the text in there
fedi-data.toml is missing, doing initial setup:
Enter your instance url (e.g. botsin.space): chaos.social
Click this link to authorize: https://chaos.social/oauth/authorize?client_id=[redacted]&redirect_uri=urn:ietf:wg:oauth:2.0:oob&scope=read%20write%20follow%20push&response_type=code
Paste the returned authorization code: [redacted]
listening for events
--------------------
^C
```

after this, you probably want to edit config.kdl and set a message that makes sense to you

restart the program, and everyone who sends you a follow request will get the message you configured as a pm automatically

## but why?

because follow requests get exhausting, and asking people manually gets annoying
